> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List projects analytics

> Retrieves an analytics overview for all projects within an organization



## OpenAPI

````yaml get /projects/analytics
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/analytics:
    get:
      tags:
        - Analytics
      summary: Projects analytics
      description: Retrieves an analytics overview for all projects within an organization
      operationId: project#analytics_list
      parameters:
        - name: media_variants[]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - article
                - summary
          required: false
          description: The media variants to fetch data for
        - name: media_formats[]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - audio
                - video
          required: false
          description: The media formats to fetch data for
        - name: time_range[start]
          in: query
          required: false
          description: >-
            The start date of the aggregation period. The value of this property
            should be a string in
                      the format yyyy-mm-dd according to ISO 8601.
          schema:
            type: string
        - name: time_range[end]
          in: query
          required: false
          description: >-
            The end date of the aggregation period. The value of this property
            should be a string
                      in the format yyyy-mm-dd according to ISO 8601. If this is set to today, the current day is still
                      in progress and therefore only partial analytics data is returned until the day ends.
          schema:
            type: string
        - name: pagination[limit]
          in: query
          required: false
          description: '''limit'' sets the number of results to return in each page.'
          schema:
            type: integer
        - name: pagination[offset]
          in: query
          required: false
          description: >-
            'offset' sets the first position to return from the results of the
            query. The default is 0, which starts the page at the first result.
          schema:
            type: integer
        - name: order[by]
          in: query
          schema:
            type: string
            enum:
              - listens
              - avg_listen_time
              - avg_listen_duration
          required: false
          description: >-
            This is used to order analytics by number of listens or average
            listen time or average listen duration
        - name: order[dir]
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
          required: false
          description: This is used to order analytics in the ascending or descending order
        - name: access_tiers[]
          in: query
          schema:
            type: array
            items:
              type: string
          required: false
          description: The access tiers to fetch data for
        - name: filter[title]
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/analyticsProjectsListExample'
              schema:
                $ref: '#/components/schemas/analyticsProjectsListModel'
          headers:
            X-Pagination-Limit:
              description: |-
                The requested number of results to be returned for this request.
                          The actual number of results returned may be lower.
              schema:
                type: integer
              required: false
            X-Pagination-OffSet:
              description: >-
                The position of the first result in the response (before
                pagination was applied).
              schema:
                type: integer
              required: false
            X-BeyondWords-Order-By:
              description: The ordering field applied (if any).
              schema:
                type: string
              required: false
            X-BeyondWords-Order-Dir:
              description: The ordering direction applied (if any).
              schema:
                type: string
              required: false
            X-BeyondWords-Aggregation:
              description: Analytics aggregation
              schema:
                type: string
              required: false
            X-BeyondWords-Time-Range-Start:
              description: Analytics start time
              schema:
                type: string
              required: false
            X-BeyondWords-Time-Range-End:
              description: Analytics end time
              schema:
                type: string
              required: false
      security:
        - apiKey: []
components:
  examples:
    analyticsProjectsListExample:
      summary: Sample list of projects analytics response
      value:
        - id: 1456
          title: Project title
          listens: 29103
          avg_listen_time: 243
          avg_listen_duration: 86.52
          created: 2099-12-31 23:59:59 UTC
  schemas:
    analyticsProjectsListModel:
      nullable: false
      type: array
      items:
        type: object
        properties:
          id:
            type: string
            description: Project identifier
          title:
            type: string
            description: Project title
          listens:
            type: integer
            description: Total number of plays (audio or video)
          avg_listen_time:
            type: integer
            description: >-
              Average play time per session in seconds (audio or video). This
              metric may be understated when play progress is stored as every
              10% milestone event per session instead of only a final event.
          avg_listen_duration:
            type: number
            description: >-
              Average percentage of the item consumed (0-100). This metric may
              be understated when play progress is stored as every 10% milestone
              event per session instead of only a final event.
          created:
            type: string
            format: date-time
            description: Time at which the project was created (ISO 8601)
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````